/***************************************
* STORED stp_ContaDeltaCelleBlocco
*
* effettua conteggio celle x blocco, restituisce la differenza tra le celle necessarie al blocco e quelle già create (0 = tutto ok)
*
* Steamware, S.E.L.
* mod: 2010.05.18
*
****************************************/
create PROCEDURE [dbo].[stp_ContaDeltaCelleBlocco]
(
	@IdxBlocco INT,
	@DeltaCelle INT OUTPUT
)
AS
	-- calcolo quanto richiesto dai blocchi
	DECLARE @NumInBlocco INT
	SET @NumInBlocco = (SELECT		SUM(NumX * NumY * NumZ) AS Totale
	FROM		Blocchi
	WHERE		IdxBlocco = @IdxBlocco)
	
	-- calcolo quante celle create
	DECLARE @NumCelle INT
	SET @NumCelle = (SELECT		COUNT(IdxCella) AS Totale
	FROM		Celle
	WHERE		IdxBlocco = @IdxBlocco)
	
	SET @DeltaCelle = @NumInBlocco - @NumCelle


RETURN @DeltaCelle
